Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libcddb
Version:	1.3.2
Release:	2
License:	GNU/GPL
URL:		http://libcddb.sourceforge.net
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	libcddb is a library that implements the different protocols (CDDBP, HTTP, SMTP).

# circular dependency
# build in libcddb (w/o libcdio) - libcdio (w/ libcddb) - libcddb (w/ libcdio) order
BuildRequires: libcdio-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
libcddb is a library that implements the different protocols (CDDBP, HTTP, SMTP) to access
data on a CDDB server (e.g. http://freedb.org). It tries to be as cross-platform as possible.
For more details see: http://libcddb.sourceforge.net

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires: 	%{name} = %{version}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols from binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/cddb_query
%{_libdir}/libcddb.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/cddb
%{_libdir}/libcddb.a
%{_libdir}/libcddb.la
%{_libdir}/libcddb.so
%{_pkgconfig}/libcddb.pc


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.2-1
- rebuilt
* Sat Apr 11 2009 Christian Wasem <wasem@ccux-linux.de> 1.3.2-1
- Version update
* Mon Oct 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Tue May 09 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.1-1
- added missing libcddb.so symlink, version update
* Mon Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- update to Version 1.1.0, cleaned up spec-file
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-2
- Recompilation against libcdio
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Version update to 1.0.2
* Sun Apr 17 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.0-1
- Update to Version 1.0.0
